#!/bin/bash
 
# VARIABLEN - HIER EDITIEREN
BACKUP_PFAD="/media/HDD2/HDD2/Software/PI_Backup"
BACKUP_ANZAHL="6"
BACKUP_NAME="Smartazamba_Backup"

# ENDE VARIABLEN
 
# Stoppe Dienste vor Backup
iobroker stop
sudo systemctl stop influxdb.service
sudo systemctl stop influxdb

 
# Backup mit Hilfe von dd erstellen und im angegebenen Pfad speichern
dd if=/dev/sda of=${BACKUP_PFAD}/$(date +%y%m%d)_${BACKUP_NAME}.img bs=1MB
 
# Starte Dienste nach Backup
iobroker start
sudo systemctl start influxdb
sudo systemctl start influxdb.service

# Alte Sicherungen die nach X neuen Sicherungen entfernen
pushd ${BACKUP_PFAD}; ls -tr ${BACKUP_PFAD}/*${BACKUP_NAME}* | head -n -${BACKUP_ANZAHL} | xargs rm; popd

sleep 3m

# ioBroker Datenpunkt PI-Backup_erfolgt mit aktueller Zeit setzen
curl http://localhost:8087/set/0_userdata.0.Eigene_Datenpunkte.PI-Backup_erfolgt?value=$(date +%d.%b.%y_%H:%M)

